View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/postgresql-common
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/debian/dsc 2018-10-11 22:40:52 UTC 2018-10-11
DSC file for 194

Author: Ubuntu Git Importer
Author Date: 2018-10-11 22:40:52 UTC

DSC file for 194

applied/debian/sid 2018-10-11 22:36:35 UTC 2018-10-11
Import patches-applied version 194 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-10-11 15:29:41 UTC

Import patches-applied version 194 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 1f2884525669b118dc3c76e914e04a128f5283ad
Unapplied parent: 958fd7e1a36bf21922bc7358f20e33fe5934083a

New changelog entries:
  * Remove iproute2 | net-tools dependency from postgresql-server-dev-all,
    obsolete in pg_buildext since 178.
  * Also save pg_controldata on catversion changes, pg_upgrade needs it.
    Spotted by Dagfinn Ilmari Mannsåker, thanks!
  * Chown /etc/postgresql to user postgres.
  * pg_ctlcluster: Use "fast" shutdown by default, and remove code to kill -9
    the server if it doesn't react to a --force stop. (Closes: #756008)
  * pg_upgradecluster: Start upgraded cluster only if it was running before,
    override with new --[no-]start option. (Closes: #876281)
  * pg_upgradecluster: With pg_upgrade, set wal_level early so standby servers
    can be upgraded via the instructions from pg_upgrade(1). (Closes: #876293)
  * pg_upgradecluster: Notify systemd about disabling the old cluster.
  * pg_upgradecluster: Drop sleep(4) that had been there since the first
    version.
  * pg_createcluster: Create stats_temp_directory, so pg_upgrade(cluster) can
    use it even without invoking pg_ctlcluster before. (Closes: #827469)
  * pg_upgradecluster: Drop check for pg_restore --no-data-for-failed-tables,
    switch was introduced in 8.2; use it always and not only when upgrade
    scripts are present. (Closes: #876282)
  * Debian: Default PostgreSQL version in buster is 11.

debian/sid 2018-10-11 22:36:35 UTC 2018-10-11
Import patches-unapplied version 194 to debian/sid

Author: Christoph Berg
Author Date: 2018-10-11 15:29:41 UTC

Import patches-unapplied version 194 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  * Remove iproute2 | net-tools dependency from postgresql-server-dev-all,
    obsolete in pg_buildext since 178.
  * Also save pg_controldata on catversion changes, pg_upgrade needs it.
    Spotted by Dagfinn Ilmari Mannsåker, thanks!
  * Chown /etc/postgresql to user postgres.
  * pg_ctlcluster: Use "fast" shutdown by default, and remove code to kill -9
    the server if it doesn't react to a --force stop. (Closes: #756008)
  * pg_upgradecluster: Start upgraded cluster only if it was running before,
    override with new --[no-]start option. (Closes: #876281)
  * pg_upgradecluster: With pg_upgrade, set wal_level early so standby servers
    can be upgraded via the instructions from pg_upgrade(1). (Closes: #876293)
  * pg_upgradecluster: Notify systemd about disabling the old cluster.
  * pg_upgradecluster: Drop sleep(4) that had been there since the first
    version.
  * pg_createcluster: Create stats_temp_directory, so pg_upgrade(cluster) can
    use it even without invoking pg_ctlcluster before. (Closes: #827469)
  * pg_upgradecluster: Drop check for pg_restore --no-data-for-failed-tables,
    switch was introduced in 8.2; use it always and not only when upgrade
    scripts are present. (Closes: #876282)
  * Debian: Default PostgreSQL version in buster is 11.

importer/ubuntu/dsc 2018-09-03 16:31:38 UTC 2018-09-03
DSC file for 193

Author: Ubuntu Git Importer
Author Date: 2018-09-03 16:31:38 UTC

DSC file for 193

debian/buster 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-unapplied version 193 to debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-unapplied version 193 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a15b60eea7b52d7b360591502476b70932e61db

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

ubuntu/devel 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-unapplied version 193 to debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-unapplied version 193 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a15b60eea7b52d7b360591502476b70932e61db

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/debian/buster 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-applied version 193 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-applied version 193 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dead505c2428bc2f3210f7bbe14cd7d364c26c09
Unapplied parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

ubuntu/cosmic-proposed 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-unapplied version 193 to debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-unapplied version 193 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a15b60eea7b52d7b360591502476b70932e61db

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

ubuntu/cosmic-devel 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-unapplied version 193 to debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-unapplied version 193 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a15b60eea7b52d7b360591502476b70932e61db

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

ubuntu/cosmic 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-unapplied version 193 to debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-unapplied version 193 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2a15b60eea7b52d7b360591502476b70932e61db

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/ubuntu/cosmic 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-applied version 193 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-applied version 193 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dead505c2428bc2f3210f7bbe14cd7d364c26c09
Unapplied parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/ubuntu/cosmic-devel 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-applied version 193 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-applied version 193 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dead505c2428bc2f3210f7bbe14cd7d364c26c09
Unapplied parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/ubuntu/cosmic-proposed 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-applied version 193 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-applied version 193 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dead505c2428bc2f3210f7bbe14cd7d364c26c09
Unapplied parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/ubuntu/devel 2018-08-23 16:39:03 UTC 2018-08-23
Import patches-applied version 193 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-08-23 10:57:46 UTC

Import patches-applied version 193 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: dead505c2428bc2f3210f7bbe14cd7d364c26c09
Unapplied parent: 45430ce35115ef8682d75bd92e1ee7d64865074f

New changelog entries:
  [ Francois Marier ]
  * Use /run in /usr/lib/tmpfiles.d/postgresql.conf to avoid deprecation
    warning. (Closes: #902875)
  [ Christoph Berg ]
  * pg_buildext: Stop passing srcdir to make invocations.
  * pg_buildext: Copy CFLAGS from environment to COPT so Makefile.global
    picks it up. Notably this will make extension builds use
    -f{debug,file}-prefix-map from dpkg-buildflags.

applied/ubuntu/xenial-proposed 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: c2fb9e9657ca7046b20eb2bb9d71b262e3bc398b
Unapplied parent: ae1d8937830b973dcd5eb685af10f41e41006869

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

ubuntu/xenial-devel 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 1940f72acc2f9614d1abf7fbb823e42234aaf0fc

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

applied/ubuntu/xenial-devel 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: c2fb9e9657ca7046b20eb2bb9d71b262e3bc398b
Unapplied parent: ae1d8937830b973dcd5eb685af10f41e41006869

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

ubuntu/xenial-proposed 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 1940f72acc2f9614d1abf7fbb823e42234aaf0fc

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

ubuntu/xenial-updates 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-unapplied version 173ubuntu0.2 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 1940f72acc2f9614d1abf7fbb823e42234aaf0fc

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

applied/ubuntu/xenial-updates 2018-07-16 16:23:13 UTC 2018-07-16
Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Author: Julian Andres Klode
Author Date: 2018-07-11 15:13:21 UTC

Import patches-applied version 173ubuntu0.2 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: c2fb9e9657ca7046b20eb2bb9d71b262e3bc398b
Unapplied parent: ae1d8937830b973dcd5eb685af10f41e41006869

New changelog entries:
  * Convert triggers to noawait (LP: #1780996)

applied/debian/stretch 2018-07-14 11:06:52 UTC 2018-07-14
Import patches-applied version 181+deb9u2 to applied/debian/stretch

Author: Christoph Berg
Author Date: 2018-06-08 09:16:28 UTC

Import patches-applied version 181+deb9u2 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: 672769e54a8aadaac1abb8c76ff45c510457d84f
Unapplied parent: 62413ea6874d576d36a23b397b25272c5a46f40e

New changelog entries:
  * maintscripts-functions: Use 'deb-systemd-invoke stop "postgresql@$ver-*"'
    to prevent upgrading/removing server packages from stopping other major
    version clusters when running systemd. (Closes: #809811)
    (Use deb-systemd-invoke instead of invoke-rc.d; jessie's invoke-rc.d does
    not support service patterns.)

debian/stretch 2018-07-14 11:06:52 UTC 2018-07-14
Import patches-unapplied version 181+deb9u2 to debian/stretch

Author: Christoph Berg
Author Date: 2018-06-08 09:16:28 UTC

Import patches-unapplied version 181+deb9u2 to debian/stretch

Imported using git-ubuntu import.

Changelog parent: 24c69283216df1901f13215c45529bfd237abb88

New changelog entries:
  * maintscripts-functions: Use 'deb-systemd-invoke stop "postgresql@$ver-*"'
    to prevent upgrading/removing server packages from stopping other major
    version clusters when running systemd. (Closes: #809811)
    (Use deb-systemd-invoke instead of invoke-rc.d; jessie's invoke-rc.d does
    not support service patterns.)

importer/debian/pristine-tar 2018-04-04 00:27:34 UTC 2018-04-04
Initial Debian pristine-tar branch.

Author: Ubuntu Git Importer
Author Date: 2018-04-04 00:27:34 UTC

Initial Debian pristine-tar branch.

importer/ubuntu/pristine-tar 2018-04-04 00:27:33 UTC 2018-04-04
Initial Ubuntu pristine-tar branch.

Author: Ubuntu Git Importer
Author Date: 2018-04-04 00:27:33 UTC

Initial Ubuntu pristine-tar branch.

applied/ubuntu/bionic 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-applied version 190 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-applied version 190 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b934d34c8d49033db5f1829502daa3f68eb203f5
Unapplied parent: 4383f14c0948cb81d82e06735ff6568f9a7afe92

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

applied/ubuntu/bionic-proposed 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-applied version 190 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-applied version 190 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b934d34c8d49033db5f1829502daa3f68eb203f5
Unapplied parent: 4383f14c0948cb81d82e06735ff6568f9a7afe92

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

ubuntu/bionic-proposed 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-unapplied version 190 to debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-unapplied version 190 to debian/sid

Imported using git-ubuntu import.

Changelog parent: eb32b78ad53d732f420c82641052daed17705ea4

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

ubuntu/bionic-devel 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-unapplied version 190 to debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-unapplied version 190 to debian/sid

Imported using git-ubuntu import.

Changelog parent: eb32b78ad53d732f420c82641052daed17705ea4

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

ubuntu/bionic 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-unapplied version 190 to debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-unapplied version 190 to debian/sid

Imported using git-ubuntu import.

Changelog parent: eb32b78ad53d732f420c82641052daed17705ea4

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

applied/ubuntu/bionic-devel 2018-02-08 16:38:14 UTC 2018-02-08
Import patches-applied version 190 to applied/debian/sid

Author: Christoph Berg
Author Date: 2018-02-08 12:26:44 UTC

Import patches-applied version 190 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b934d34c8d49033db5f1829502daa3f68eb203f5
Unapplied parent: 4383f14c0948cb81d82e06735ff6568f9a7afe92

New changelog entries:
  * Move packaging repository to salsa.debian.org
  * pg_lsclusters: Add --help.
  * pg_virtualenv: Error out if no server packages are installed.
  * postgresql-common recommends e2fsprogs, we are using chattr in
    pg_createcluster. (Closes: #887251)
  * PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
  * postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
    but works on older systemd versions as well.
  * Rewrite architecture.html as README.md.
  * t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
    doesn't have it.
  * t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
    the old permissions check.

debian/jessie 2017-12-09 17:54:44 UTC 2017-12-09
Import patches-unapplied version 165+deb8u3 to debian/jessie

Author: Christoph Berg
Author Date: 2017-11-07 19:54:52 UTC

Import patches-unapplied version 165+deb8u3 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: 677c3465180c9411b1d249549e2b98cd1176e7ce

New changelog entries:
  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)

applied/debian/jessie 2017-12-09 17:54:44 UTC 2017-12-09
Import patches-applied version 165+deb8u3 to applied/debian/jessie

Author: Christoph Berg
Author Date: 2017-11-07 19:54:52 UTC

Import patches-applied version 165+deb8u3 to applied/debian/jessie

Imported using git-ubuntu import.

Changelog parent: d6167554acb8efb29574346ccbd89c86b69a01da
Unapplied parent: 788cb7574590941fe19321059601f1bfb07ffdd4

New changelog entries:
  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)

ubuntu/zesty-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 28e457b2d2ba2da067bfa1b28ffc79a4b28885ab

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/artful-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 362b0063f604540382567cce1e22d827b7a85eff
Unapplied parent: 4205cfaa8febeb9a4e11bead7389a7bc64086467

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/artful-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 362b0063f604540382567cce1e22d827b7a85eff
Unapplied parent: 4205cfaa8febeb9a4e11bead7389a7bc64086467

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/artful-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-applied version 184ubuntu1.1 to applied/ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 362b0063f604540382567cce1e22d827b7a85eff
Unapplied parent: 4205cfaa8febeb9a4e11bead7389a7bc64086467

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/trusty-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: e24c86bf080f1e24add2259e3303c09cb2770346
Unapplied parent: fc6e268c028fd94519b98cc72aec083bc219af27

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/trusty-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: e24c86bf080f1e24add2259e3303c09cb2770346
Unapplied parent: fc6e268c028fd94519b98cc72aec083bc219af27

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/trusty-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-applied version 154ubuntu1.1 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: e24c86bf080f1e24add2259e3303c09cb2770346
Unapplied parent: fc6e268c028fd94519b98cc72aec083bc219af27

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/xenial-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 173ubuntu0.1 to applied/ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:17:29 UTC

Import patches-applied version 173ubuntu0.1 to applied/ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: b6ca330d114c1624fccbb63b35b2adb9a91680c2
Unapplied parent: 1940f72acc2f9614d1abf7fbb823e42234aaf0fc

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/zesty-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 9efaba9a9ff9cc237c3667abbac2d95a8e816de6
Unapplied parent: 2eefc371cae1c268d5ec0c6e8ecf7cbfca402f94

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/zesty-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 9efaba9a9ff9cc237c3667abbac2d95a8e816de6
Unapplied parent: 2eefc371cae1c268d5ec0c6e8ecf7cbfca402f94

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

applied/ubuntu/zesty-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-applied version 179ubuntu0.1 to applied/ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 9efaba9a9ff9cc237c3667abbac2d95a8e816de6
Unapplied parent: 2eefc371cae1c268d5ec0c6e8ecf7cbfca402f94

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/artful-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 820991ca212031372802c85ff9167355e1ae3a83

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/artful-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 820991ca212031372802c85ff9167355e1ae3a83

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/artful-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:06:51 UTC

Import patches-unapplied version 184ubuntu1.1 to ubuntu/artful-security

Imported using git-ubuntu import.

Changelog parent: 820991ca212031372802c85ff9167355e1ae3a83

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/trusty-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 9ad3de6ee79ed2239e33236992a8597c3691a75f

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/trusty-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 9ad3de6ee79ed2239e33236992a8597c3691a75f

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/trusty-updates 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:22:48 UTC

Import patches-unapplied version 154ubuntu1.1 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 9ad3de6ee79ed2239e33236992a8597c3691a75f

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/xenial-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 173ubuntu0.1 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:17:29 UTC

Import patches-unapplied version 173ubuntu0.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: 3be38cfebc7c7c78c4996964a78ec7f5138dd7bc

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability
    - drop privileges when creating log file in pg_ctlcluster.
    - c8989206ec360f199400c74f129f7b4cb878c1ee
    - CVE-2016-1255
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/zesty-devel 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 28e457b2d2ba2da067bfa1b28ffc79a4b28885ab

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/zesty-security 2017-11-09 20:39:32 UTC 2017-11-09
Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Author: Marc Deslauriers
Author Date: 2017-11-08 13:12:07 UTC

Import patches-unapplied version 179ubuntu0.1 to ubuntu/zesty-security

Imported using git-ubuntu import.

Changelog parent: 28e457b2d2ba2da067bfa1b28ffc79a4b28885ab

New changelog entries:
  * SECURITY UPDATE: symlink attack vulnerability in init/helper scripts
    (LP: #1727209)
    - use lchown instead of chown in pg_createcluster, pg_ctlcluster,
      pg_upgradecluster.
    - 8b4d0a889a8287181c4bdf46462db9b737a6e25d
    - No CVE number

ubuntu/artful-proposed 2017-08-05 00:34:02 UTC 2017-08-05
Import patches-unapplied version 184ubuntu1 to ubuntu/artful-proposed

Author: Steve Langasek
Author Date: 2017-08-04 23:59:24 UTC

Import patches-unapplied version 184ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 27fc3f66a42c6a21a2d88daf10f8e1611780484a

New changelog entries:
  * Fix umask in pg_updatedicts, without which /var/cache/postgresql
    may be created with permissions that leave it inaccessible to postgresql
    itself.

applied/ubuntu/artful 2017-08-05 00:34:02 UTC 2017-08-05
Import patches-applied version 184ubuntu1 to applied/ubuntu/artful-proposed

Author: Steve Langasek
Author Date: 2017-08-04 23:59:24 UTC

Import patches-applied version 184ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 4f566bedaa61baf6d50ce470bbc3ac9e73cc90ad
Unapplied parent: 820991ca212031372802c85ff9167355e1ae3a83

New changelog entries:
  * Fix umask in pg_updatedicts, without which /var/cache/postgresql
    may be created with permissions that leave it inaccessible to postgresql
    itself.

ubuntu/artful 2017-08-05 00:34:02 UTC 2017-08-05
Import patches-unapplied version 184ubuntu1 to ubuntu/artful-proposed

Author: Steve Langasek
Author Date: 2017-08-04 23:59:24 UTC

Import patches-unapplied version 184ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 27fc3f66a42c6a21a2d88daf10f8e1611780484a

New changelog entries:
  * Fix umask in pg_updatedicts, without which /var/cache/postgresql
    may be created with permissions that leave it inaccessible to postgresql
    itself.

applied/ubuntu/artful-proposed 2017-08-05 00:34:02 UTC 2017-08-05
Import patches-applied version 184ubuntu1 to applied/ubuntu/artful-proposed

Author: Steve Langasek
Author Date: 2017-08-04 23:59:24 UTC

Import patches-applied version 184ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 4f566bedaa61baf6d50ce470bbc3ac9e73cc90ad
Unapplied parent: 820991ca212031372802c85ff9167355e1ae3a83

New changelog entries:
  * Fix umask in pg_updatedicts, without which /var/cache/postgresql
    may be created with permissions that leave it inaccessible to postgresql
    itself.

debian/experimental 2017-05-11 16:15:54 UTC 2017-05-11
Import patches-unapplied version 182 to debian/experimental

Author: Christoph Berg
Author Date: 2017-05-11 12:01:59 UTC

Import patches-unapplied version 182 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 0ae9b6090c59719bfb8627b8f2d0a8a78a466ad3

New changelog entries:
  * Team upload.
  * pg_buildext: Resurrect the previously deprecated "srcdir" mode to allow
    building packages from a subdirectory, and make "loop" support it as well.
  * t/001_packages.t: PostgreSQL 10 doesn't have a separate contrib package.
  * t/020_create_sql_remove.t: Use CREATE EXTENSION, createlang is being
    removed.
  * t/120_pg_upgradecluster_scripts.t: Don't try to rename
    pg_upgradecluster.d, fails on overlayfs.
  * pg_lsclusters, t: pg_log directory name changed in 10.
  * pg_lsclusters: Allow listing one version or one cluster only.
  * pg_lsclusters: Support JSON output, suggest libjson-perl for that.
  * pg_createcluster, createcluster.conf: Update for --waldir rename.
  * pg_createcluster: Do not suppress initdb output, and use pg_lsclusters to
    show created cluster info.
  * pg_ctlcluster: Suppress "Redirecting to systemctl message".
  * pg_upgradecluster: Deprecate min_parallel_relation_size and
    sql_inheritance in 10.
  * Symlink /usr/bin/pg_receivewal to pg_wrapper.
  * PgCommon.pm: Include postgresql.conf in cluster_info and remove variables
    directly copied from config; adjust callers.
  * PgCommon.pm: Allow more characters in unquoted config values.
    Spotted by Fabien Coelho, merci!
  * postgresql-server-dev-all: dh_make_pgxs: Template mechanism for new
    Debian packages based on PGXS Makefiles.

applied/debian/experimental 2017-05-11 16:15:54 UTC 2017-05-11
Import patches-applied version 182 to applied/debian/experimental

Author: Christoph Berg
Author Date: 2017-05-11 12:01:59 UTC

Import patches-applied version 182 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 022b4df0246865c5350fd277cf7a8239d8af3374
Unapplied parent: 32ee699d54d528a3466a371e17c307df615d4f85

New changelog entries:
  * Team upload.
  * pg_buildext: Resurrect the previously deprecated "srcdir" mode to allow
    building packages from a subdirectory, and make "loop" support it as well.
  * t/001_packages.t: PostgreSQL 10 doesn't have a separate contrib package.
  * t/020_create_sql_remove.t: Use CREATE EXTENSION, createlang is being
    removed.
  * t/120_pg_upgradecluster_scripts.t: Don't try to rename
    pg_upgradecluster.d, fails on overlayfs.
  * pg_lsclusters, t: pg_log directory name changed in 10.
  * pg_lsclusters: Allow listing one version or one cluster only.
  * pg_lsclusters: Support JSON output, suggest libjson-perl for that.
  * pg_createcluster, createcluster.conf: Update for --waldir rename.
  * pg_createcluster: Do not suppress initdb output, and use pg_lsclusters to
    show created cluster info.
  * pg_ctlcluster: Suppress "Redirecting to systemctl message".
  * pg_upgradecluster: Deprecate min_parallel_relation_size and
    sql_inheritance in 10.
  * Symlink /usr/bin/pg_receivewal to pg_wrapper.
  * PgCommon.pm: Include postgresql.conf in cluster_info and remove variables
    directly copied from config; adjust callers.
  * PgCommon.pm: Allow more characters in unquoted config values.
    Spotted by Fabien Coelho, merci!
  * postgresql-server-dev-all: dh_make_pgxs: Template mechanism for new
    Debian packages based on PGXS Makefiles.

applied/ubuntu/zesty-proposed 2017-01-25 04:21:09 UTC 2017-01-25
Import patches-applied version 179 to applied/debian/sid

Author: Christoph Berg
Author Date: 2017-01-24 22:03:12 UTC

Import patches-applied version 179 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 9c1b308c8e71dd47c580b7907a4fbbb16fd39ec6
Unapplied parent: 28e457b2d2ba2da067bfa1b28ffc79a4b28885ab

New changelog entries:
  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

ubuntu/zesty-proposed 2017-01-25 04:21:09 UTC 2017-01-25
Import patches-unapplied version 179 to debian/sid

Author: Christoph Berg
Author Date: 2017-01-24 22:03:12 UTC

Import patches-unapplied version 179 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0420377a89bf11403b0143d646daefaaae4b7148

New changelog entries:
  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

applied/ubuntu/zesty 2017-01-25 04:21:09 UTC 2017-01-25
Import patches-applied version 179 to applied/debian/sid

Author: Christoph Berg
Author Date: 2017-01-24 22:03:12 UTC

Import patches-applied version 179 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 9c1b308c8e71dd47c580b7907a4fbbb16fd39ec6
Unapplied parent: 28e457b2d2ba2da067bfa1b28ffc79a4b28885ab

New changelog entries:
  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

ubuntu/zesty 2017-01-25 04:21:09 UTC 2017-01-25
Import patches-unapplied version 179 to debian/sid

Author: Christoph Berg
Author Date: 2017-01-24 22:03:12 UTC

Import patches-unapplied version 179 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0420377a89bf11403b0143d646daefaaae4b7148

New changelog entries:
  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

applied/ubuntu/yakkety 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: b1367ff4980d798167405ef4c7ecaae848aa6443
Unapplied parent: 40f32d53230a4ba3f013c3e59bc6b6ade6974e9d

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

ubuntu/yakkety-proposed 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: fd3f33202a11ed3112f0720c64b6edb03146f2e3

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

applied/ubuntu/yakkety-proposed 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: b1367ff4980d798167405ef4c7ecaae848aa6443
Unapplied parent: 40f32d53230a4ba3f013c3e59bc6b6ade6974e9d

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

ubuntu/yakkety 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: fd3f33202a11ed3112f0720c64b6edb03146f2e3

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

applied/ubuntu/yakkety-devel 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-applied version 176+git1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: b1367ff4980d798167405ef4c7ecaae848aa6443
Unapplied parent: 40f32d53230a4ba3f013c3e59bc6b6ade6974e9d

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

ubuntu/yakkety-devel 2016-09-26 17:04:39 UTC 2016-09-26
Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Author: Martin Pitt
Author Date: 2016-09-23 14:07:37 UTC

Import patches-unapplied version 176+git1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: fd3f33202a11ed3112f0720c64b6edb03146f2e3

New changelog entries:
  Upload current Debian packaging git to pick up bug fixes and dependency
  adjustment for libreadline7.
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

applied/ubuntu/xenial 2016-03-30 22:22:19 UTC 2016-03-30
Import patches-applied version 173 to applied/debian/sid

Author: Christoph Berg
Author Date: 2016-03-30 13:08:06 UTC

Import patches-applied version 173 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: d8c9792fa0e070c75a92b93690d9c3f646d1227c
Unapplied parent: 3be38cfebc7c7c78c4996964a78ec7f5138dd7bc

New changelog entries:
  [ Christoph Berg ]
  * README.Debian: Fix a typo.
  * Updated nl translation, thanks Frans Spiesschaert! (Closes: #812353)
  * Updated ru translation, thanks Sergey Alyoshin! (Closes: #815596)
  * Updated ja translation, thanks Takuma Yamada! (Closes: #816069)
  * preinst_check_catversion: Handle missing catalog version file.
  * pg_renamecluster: Don't try to rename a non-existing stats directory.
  * pg_conftool: Refuse operation on non-existing clusters.
  * maintscript-functions, templates: Remove '#' characters from upgrade
    instructions on catalog version change for easier cut-and-paste.
  * t/032_ssl_key_permissions.t: Validate server snakeoil key checks.
  * pgdg/apt.postgresql.org.sh: Add xenial and trusty.
  [ Adam Conrad ]
  * pgcommon.sh: Adjust for >= xenial using Debian-style locale generation
    methods, and allow fallback to the old Ubuntu method for old releases.

ubuntu/xenial 2016-03-30 22:22:19 UTC 2016-03-30
Import patches-unapplied version 173 to debian/sid

Author: Christoph Berg
Author Date: 2016-03-30 13:08:06 UTC

Import patches-unapplied version 173 to debian/sid

Imported using git-ubuntu import.

Changelog parent: abcaf1f981f658aa83c484c1d8e3029cd37aa4ec

New changelog entries:
  [ Christoph Berg ]
  * README.Debian: Fix a typo.
  * Updated nl translation, thanks Frans Spiesschaert! (Closes: #812353)
  * Updated ru translation, thanks Sergey Alyoshin! (Closes: #815596)
  * Updated ja translation, thanks Takuma Yamada! (Closes: #816069)
  * preinst_check_catversion: Handle missing catalog version file.
  * pg_renamecluster: Don't try to rename a non-existing stats directory.
  * pg_conftool: Refuse operation on non-existing clusters.
  * maintscript-functions, templates: Remove '#' characters from upgrade
    instructions on catalog version change for easier cut-and-paste.
  * t/032_ssl_key_permissions.t: Validate server snakeoil key checks.
  * pgdg/apt.postgresql.org.sh: Add xenial and trusty.
  [ Adam Conrad ]
  * pgcommon.sh: Adjust for >= xenial using Debian-style locale generation
    methods, and allow fallback to the old Ubuntu method for old releases.

ubuntu/wily 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 8077f0f5696eeb9f8aaadd0fa4fbcc827de9c556

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

ubuntu/wily-devel 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 8077f0f5696eeb9f8aaadd0fa4fbcc827de9c556

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

ubuntu/wily-proposed 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-unapplied version 169git1 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 8077f0f5696eeb9f8aaadd0fa4fbcc827de9c556

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

applied/ubuntu/wily 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: b9c58fa810e749a861b497c3999883b4c8c4c20f
Unapplied parent: ec20804bcb5bfcb4e6e9839b164c287316a9f4c2

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

applied/ubuntu/wily-devel 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: b9c58fa810e749a861b497c3999883b4c8c4c20f
Unapplied parent: ec20804bcb5bfcb4e6e9839b164c287316a9f4c2

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

applied/ubuntu/wily-proposed 2015-06-06 10:23:11 UTC 2015-06-06
Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Author: Martin Pitt
Author Date: 2015-06-06 10:16:06 UTC

Import patches-applied version 169git1 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: b9c58fa810e749a861b497c3999883b4c8c4c20f
Unapplied parent: ec20804bcb5bfcb4e6e9839b164c287316a9f4c2

New changelog entries:
  Upload current git head to fix autopkgtest regression.
  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

applied/ubuntu/vivid 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: b98fbc77e9f5327a3433cfd25d8e29753920798a
Unapplied parent: 0937258f997a0ac422dbc7b54316627d4fb4dd20

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

ubuntu/vivid-devel 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 3d6724a96673ec021b017f6c8f2966e2e3eadf95

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

applied/ubuntu/vivid-devel 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: b98fbc77e9f5327a3433cfd25d8e29753920798a
Unapplied parent: 0937258f997a0ac422dbc7b54316627d4fb4dd20

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

applied/ubuntu/vivid-proposed 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-applied version 166bzr2 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: b98fbc77e9f5327a3433cfd25d8e29753920798a
Unapplied parent: 0937258f997a0ac422dbc7b54316627d4fb4dd20

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

ubuntu/vivid-proposed 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 3d6724a96673ec021b017f6c8f2966e2e3eadf95

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

ubuntu/vivid 2015-03-10 10:33:51 UTC 2015-03-10
Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Author: Martin Pitt
Author Date: 2015-03-10 10:26:36 UTC

Import patches-unapplied version 166bzr2 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 3d6724a96673ec021b017f6c8f2966e2e3eadf95

New changelog entries:
  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.
  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

applied/ubuntu/trusty-proposed 2015-02-18 15:28:45 UTC 2015-02-18
Import patches-applied version 154ubuntu1 to applied/ubuntu/trusty-proposed

Author: Martin Pitt
Author Date: 2015-02-16 11:35:43 UTC

Import patches-applied version 154ubuntu1 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: c04cd72d92653eb223481ed4f11f2748d08202f2
Unapplied parent: 9ad3de6ee79ed2239e33236992a8597c3691a75f

New changelog entries:
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)

ubuntu/trusty-proposed 2015-02-18 15:28:45 UTC 2015-02-18
Import patches-unapplied version 154ubuntu1 to ubuntu/trusty-proposed

Author: Martin Pitt
Author Date: 2015-02-16 11:35:43 UTC

Import patches-unapplied version 154ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 3d4545590420e22189e507f2387a4097f4322de1

New changelog entries:
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)

applied/ubuntu/utopic 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-applied version 162 to applied/debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-applied version 162 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 10198f1a0ba9aba333e886c25090a91c930fc89a
Unapplied parent: 3f0d0162c931ce9ee643634238ccab4c4235f069

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

ubuntu/utopic 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-unapplied version 162 to debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-unapplied version 162 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0079bd517ac71e4fa654975f90feb27d97296889

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

ubuntu/utopic-devel 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-unapplied version 162 to debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-unapplied version 162 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0079bd517ac71e4fa654975f90feb27d97296889

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

applied/ubuntu/utopic-devel 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-applied version 162 to applied/debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-applied version 162 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 10198f1a0ba9aba333e886c25090a91c930fc89a
Unapplied parent: 3f0d0162c931ce9ee643634238ccab4c4235f069

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

applied/ubuntu/utopic-proposed 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-applied version 162 to applied/debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-applied version 162 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 10198f1a0ba9aba333e886c25090a91c930fc89a
Unapplied parent: 3f0d0162c931ce9ee643634238ccab4c4235f069

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

ubuntu/utopic-proposed 2014-10-07 22:24:08 UTC 2014-10-07
Import patches-unapplied version 162 to debian/sid

Author: Christoph Berg
Author Date: 2014-10-07 19:25:25 UTC

Import patches-unapplied version 162 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0079bd517ac71e4fa654975f90feb27d97296889

New changelog entries:
  [ Christoph Berg ]
  * Move PgCommon.pm to /usr/share/perl5.
  * t/020_create_sql_remove.t: Test psql -tx alignment to catch a bug in
    9.4beta2.
  * supported-versions: Set 9.4 as pgdg default on Ubuntu 14.10.
  * Debconf translation updates, thanks!
    + nl by Frans Spiesschaert. (Closes: #762632)
  [ Peter Michael Green ]
  * Use ID_LIKE to identify deriviatives of Debian and Ubuntu.
    (Closes: #761020)
  [ Richard Hughes ]
  * Use Type=forking in postgresql@.service and start before postgresql.
    (Closes: #759725)

applied/ubuntu/trusty 2014-02-21 10:17:47 UTC 2014-02-21
Import patches-applied version 154 to applied/debian/sid

Author: Christoph Berg
Author Date: 2014-02-21 07:18:46 UTC

Import patches-applied version 154 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: a381103343d14597f29fb67b15e0804a66c350b1
Unapplied parent: 3d4545590420e22189e507f2387a4097f4322de1

New changelog entries:
  [ Martin Pitt ]
  * debian/postgresql-common.preinst: Drop obsolete upgrade migration.
  * debian/maintscripts-functions, _link_manpages(): The move of pg_basebackup
    from server to client still affects upgrades from -9.1 to -9.3. Place the
    upgrade fix here instead of postgresql-9.1.preinst (which does not exist
    any more now). (LP: #1270597)
  * Update Vcs-Bzr:, bzr.d.o. does not work any more.
  [ Christoph Berg ]
  * t/031_errors_disk_full.t: Drop cluster after tests.
  * testsuite: Always umount the tmpfs overlays.

ubuntu/trusty 2014-02-21 10:17:47 UTC 2014-02-21
Import patches-unapplied version 154 to debian/sid

Author: Christoph Berg
Author Date: 2014-02-21 07:18:46 UTC

Import patches-unapplied version 154 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0b33fdf56e09befb9a327428e2a8505871c80842

New changelog entries:
  [ Martin Pitt ]
  * debian/postgresql-common.preinst: Drop obsolete upgrade migration.
  * debian/maintscripts-functions, _link_manpages(): The move of pg_basebackup
    from server to client still affects upgrades from -9.1 to -9.3. Place the
    upgrade fix here instead of postgresql-9.1.preinst (which does not exist
    any more now). (LP: #1270597)
  * Update Vcs-Bzr:, bzr.d.o. does not work any more.
  [ Christoph Berg ]
  * t/031_errors_disk_full.t: Drop cluster after tests.
  * testsuite: Always umount the tmpfs overlays.

debian/wheezy 2013-10-16 23:43:23 UTC 2013-10-16
Import patches-unapplied version 134wheezy4 to debian/wheezy

Author: Christoph Berg
Author Date: 2013-08-27 08:15:33 UTC

Import patches-unapplied version 134wheezy4 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: 50c48c4739b349f83e944742b1be6e1bec515a20

New changelog entries:
  * debian/supported-versions: Use "7|7.*" to recognize wheezy; point releases
    now increment the second version number component. (Closes: #712586)

applied/debian/wheezy 2013-10-16 23:43:23 UTC 2013-10-16
Import patches-applied version 134wheezy4 to applied/debian/wheezy

Author: Christoph Berg
Author Date: 2013-08-27 08:15:33 UTC

Import patches-applied version 134wheezy4 to applied/debian/wheezy

Imported using git-ubuntu import.

Changelog parent: 04be2ce5c419ade0dc292e05b791d537be479f7e
Unapplied parent: 3e4537c4c49527723f8738006f5291dca1620a59

New changelog entries:
  * debian/supported-versions: Use "7|7.*" to recognize wheezy; point releases
    now increment the second version number component. (Closes: #712586)

applied/ubuntu/saucy-devel 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-applied version 148 to applied/debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-applied version 148 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 6a4c1e1a9d20cf481f243bf1e311cf22004e5223
Unapplied parent: ecb05f3aa6e41e7d68d46f37d22b11b47f3b1649

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

ubuntu/saucy-devel 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-unapplied version 148 to debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-unapplied version 148 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 42c3f173a9dee7c85f92b5cf18a081381a0b8174

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

applied/ubuntu/saucy-proposed 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-applied version 148 to applied/debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-applied version 148 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 6a4c1e1a9d20cf481f243bf1e311cf22004e5223
Unapplied parent: ecb05f3aa6e41e7d68d46f37d22b11b47f3b1649

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

ubuntu/saucy 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-unapplied version 148 to debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-unapplied version 148 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 42c3f173a9dee7c85f92b5cf18a081381a0b8174

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

ubuntu/saucy-proposed 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-unapplied version 148 to debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-unapplied version 148 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 42c3f173a9dee7c85f92b5cf18a081381a0b8174

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

applied/ubuntu/saucy 2013-08-28 10:19:00 UTC 2013-08-28
Import patches-applied version 148 to applied/debian/sid

Author: Martin Pitt
Author Date: 2013-08-27 09:07:48 UTC

Import patches-applied version 148 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 6a4c1e1a9d20cf481f243bf1e311cf22004e5223
Unapplied parent: ecb05f3aa6e41e7d68d46f37d22b11b47f3b1649

New changelog entries:
  [ Christoph Berg ]
  * debian/supported-versions:
    + Interface change: The *last* version returned here is the "default" one.
    + Wheezy uses "7" in /etc/os-release.
    + Add 9.3 for pgdg (default on testing/unstable).
  * debian/rules:
    + Set FLAVOR variable for the type of build we are doing. Set
      PG_SUPPORTED_VERSIONS=$FLAVOR for debian/supported-versions so we don't
      pick up configuration from the build environment.
    + Pick the default version from the last line of
      `debian/supported-versions` instead of sorting the output.
  * debian/postgresql-common.config: Sort versions to determine the latest.
  * pg_buildext: Support "X.Y+" and "all" in debian/pgversions so packages do
    not need to hardcode the versions they support, as that's usually not
    necessary.
  * pgxs_debian_control.mk: Drop the previously redundant grep check on
    debian/pgversions which would now break "X.Y+".
  * t: Move $delay to TestLib.pm and increase to 500ms.
  * t/005_PgCommon.t: Use twice the delay for waiting for the first nc child.
  [ Martin Pitt ]
  * debian/postgresql-common.postinst: Don't restart servers in dict update
    trigger. (Closes: #719282)
  * debian/README.Debian: Update examples for -9.1 and -9.3.
  * Bump "really142" to "really146" to fix an error on apt.postgresql.org.

1100 of 202 results

Other repositories

Name Last Modified
lp:ubuntu/+source/postgresql-common 2018-10-11
11 of 1 result
You can't create new repositories for postgresql-common in Ubuntu.